---
tags: 
parents: 
date/time: 2024-11-17T22:16:00
---
[Rest and Relax](https://relax-and-recover.org/rear-user-guide/index.html) - implement solution on laptop and desktop
set up of NFS share [here](https://linuxize.com/post/how-to-mount-an-nfs-share-in-linux/)


# Desktop

make sure to setup nfs share:

- Install NFS software on both laptop and desktop.
- Configure NFS share on desktop:

- Create a directory where the NFS share will reside (e.g., `/nfs_shared`)
- Edit the `/etc/exports` file to add the shared directory
- Restart the NFS service to apply changes.
- mount the NFS share on laptop so it can access shared files from desktop.

#Linux set up NFS share on laptop:

- Create
# New systems Install

steps

1. install nala app: https://christitus.com/stop-using-apt/
2. Install nala 
3. install fastfetch
 4. install borgbackup 
 5. install timeshift: make backup of everything without home drive

now since this could be flaky we need rollback feature in place!

6. install nvidiadrivers (https://wiki.debian.org/NvidiaGraphicsDrivers#Version_535.183.01-1)
https://forums.debian.net/viewtopic.php?t=160686 and container toolkit

7 . install apps 

-vscode
-keepassx
-anki
-calibre
syncthing
-kvm for virtual machines https://wiki.debian.org/KVM
-ollama change Ollama service to save data in home directory
- firefox extensions
- docker engine /compose  //install in home directory  https://evodify.com/change-docker-storage-location/


open webui: docker run -d -p 3000:8080 --network=host -e OLLAMA_BASE_URL=http://127.0.0.1:11434 --gpus all  -v open-webui:/app/backend/data --name open-webui --restart always ghcr.io/open-webui/open-webui:cuda


# BorgBackup workflow

